## get-flash-videos 1.25.99.03

=== Makefile ===
all::

mk/makemaker-wrap.mk: Makefile.PL
	@if [ ! -f "mk/makemaker.mk" ]; then GFV_DEVEL_MODE=1 perl Makefile.PL; fi
	@echo "-include mk/makemaker.mk" > $@

-include mk/makemaker-wrap.mk
include mk/targets.mk
include mk/release.mk

## get-flash-videos 1.24

=== debian/changelog ===
get-flash-videos (1.24-2) unstable; urgency=low

  [ TANIGUCHI Takaki ]
  * Merge with Julian's works.
  * Add Perl modules to Depends. (Closes: #620637, #623617)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 22 Apr 2011 12:15:13 +0900

get-flash-videos (1.24-1) unstable; urgency=low

  * Initial release (Closes: #608975)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 18 Jan 2011 22:37:04 +0900

=== debian/control ===
Source: get-flash-videos
Section: video
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>,
	TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: perl, libwww-perl, liburi-perl,
 libtie-ixhash-perl, libwww-mechanize-perl
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/get-flash-videos/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/get-flash-videos/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/get-flash-videos/

Package: get-flash-videos
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, 
	libwww-perl, 
	liburi-perl,
	libwww-mechanize-perl, 
	rtmpdump,
        libhtml-parser-perl,
	libtie-ixhash-perl,
	libdata-amf-perl,
Recommends: libxml-simple-perl, liblwp-protocol-socks-perl
Suggests: mplayer
Description: Video downloader for various Flash-based video hosting sites
 Download videos from various Flash-based video hosting sites, without having
 to use the Flash player. Handy for saving videos for watching offline, and
 means you don't have to keep upgrading Flash for sites that insist on a newer
 version of the player.
 .
 Includes support for the following sites/players (and more!):
 .
 YouTube, eHow, Brightcove (used by many sites like Channel 4, Daily
 Telegraph ...), BBC (news, etc), Metacafe, 5min, Google, fliqz,
 nicovideo, vimeo, Blip, Break, Collegehumor, Muzu, Sevenload, Megavideo,
 Wat.tv.
 . 
 Also includes a 'generic' method which works on many other sites.

=== debian/watch ===
version=3
http://googlecode.debian.net/p/get-flash-videos/App-get_flash_videos-(.*)\.tar.gz

## get-flash-videos 1.25~git2011.09.26

=== debian/changelog ===
get-flash-videos (1.25~git2011.09.26-2) unstable; urgency=low

  * Team upload.

  [ Julián Moreno Patiño ]
  * Update copyright file
    + Update Source field with upstream git URL
  * Add README.source
    + How to recreate upstream tarball
  * Remove DM-Upload-Allowed field
    + Debian Perl Team policy

  [ gregor herrmann ]
  * Add libcrypt-rijndael-perl to Recommends. Thanks to Brian Pitts for
    the bug report. (Closes: #652239)
  * Switch to debhelper compatibility level 8.
  * Lowercase short description. mention software name in lon description.

 -- gregor herrmann <gregoa@debian.org>  Thu, 15 Dec 2011 20:44:12 +0100

get-flash-videos (1.25~git2011.09.26-1) unstable; urgency=low

  [Julián Moreno Patiño]
  * New upstream git snapshot. (Closes: #640867)
  * Get tarball from get-orig-source target
    in debian/rules.
  * Remove 01_fix_different_extension.diff patch.
    + Merge with upstream.
  * Refresh 00_fix_manpage_warning.diff patch.
  * Update copyright file to DEP5 rev 174.
  * Update watch file to use git upstream tags.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Tim Retout ]
  * debian/control:
    + Add get-iplayer to Recommends. (Closes: #636222)
    + Bump Standards-Version to 3.9.2 (no changes needed).

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Mon, 26 Sep 2011 02:40:02 -0500

=== debian/control ===
Source: get-flash-videos
Section: video
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>,
 TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl,
 libtie-ixhash-perl,
 liburi-perl,
 libwww-mechanize-perl,
 libwww-perl
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/get-flash-videos/
Vcs-Git: git://git.debian.org/pkg-perl/packages/get-flash-videos.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/get-flash-videos.git

Package: get-flash-videos
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libdata-amf-perl,
 libhtml-parser-perl,
 libtie-ixhash-perl,
 liburi-perl,
 libwww-mechanize-perl, 
 libwww-perl,
 rtmpdump
Recommends: get-iplayer,
 libcrypt-rijndael-perl,
 liblwp-protocol-socks-perl,
 libxml-simple-perl
Suggests: mplayer
Description: video downloader for various Flash-based video hosting sites
 get-flash-videos download videos from various Flash-based video hosting
 sites, without having to use the Flash player. Handy for saving videos for
 watching offline, and means you don't have to keep upgrading Flash for sites
 that insist on a newer version of the player.
 .
 Includes support for the following sites/players (and more!):
 .
 YouTube, eHow, Brightcove (used by many sites like Channel 4, Daily
 Telegraph ...), BBC (news, etc), Metacafe, 5min, Google, fliqz,
 nicovideo, vimeo, Blip, Break, Collegehumor, Muzu, Sevenload, Megavideo,
 Wat.tv.
 . 
 Also includes a 'generic' method which works on many other sites.

## get-flash-videos 1.25~git2012.03.01

=== debian/changelog ===
get-flash-videos (1.25~git2012.03.01-1) unstable; urgency=low

  [ Julián Moreno Patiño ]
  * New upstream git snapshot. (Closes: #655335, #655667, #661621)
  * Refresh fix_redirect.diff patch offset.
    + Remove header template.
    + Add Forwarded URL.
  * Add use_libcrypt-blowfish-perl.diff patch to use
    libcrypt-blowfish-perl.
    + Add libcrypt-blowfish-perl to Depends.
  * Add libhttp-cookies-perl, libhttp-message-perl and
    libxml-simple-perl to B-D-I to run properly some tests.
  * Sort B-D-I and Depends.
  * Bump Standards-Version to 3.9.3.
    + Update DEP5 to copyright-format 1.0.
      + Add missing copyright.

  [ gregor herrmann ]
  * Add missing license paragraph in debian/copyright.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Thu, 01 Mar 2012 23:42:53 -0500

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,31 @@
 Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>,
  TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 8)
-Build-Depends-Indep: perl,
+Build-Depends-Indep: libhttp-cookies-perl,
+ libhttp-message-perl,
  libtie-ixhash-perl,
  liburi-perl,
  libwww-mechanize-perl,
- libwww-perl
-Standards-Version: 3.9.2
+ libwww-perl,
+ libxml-simple-perl,
+ perl
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/get-flash-videos/
 Vcs-Git: git://git.debian.org/pkg-perl/packages/get-flash-videos.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/get-flash-videos.git
 
 Package: get-flash-videos
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends},
+Depends: libcrypt-blowfish-perl,
  libdata-amf-perl,
  libhtml-parser-perl,
  libtie-ixhash-perl,
  liburi-perl,
- libwww-mechanize-perl, 
+ libwww-mechanize-perl,
  libwww-perl,
- rtmpdump
+ rtmpdump,
+ ${misc:Depends},
+ ${perl:Depends}
 Recommends: get-iplayer,
  libcrypt-rijndael-perl,
  liblwp-protocol-socks-perl,
@@ -42,5 +47,5 @@
  Telegraph ...), BBC (news, etc), Metacafe, 5min, Google, fliqz,
  nicovideo, vimeo, Blip, Break, Collegehumor, Muzu, Sevenload, Megavideo,
  Wat.tv.
- . 
- Also includes a 'generic' method which works on many other sites. 
+ .
+ Also includes a 'generic' method which works on many other sites.

## get-flash-videos 1.25~git2012.06.27

=== debian/changelog ===
get-flash-videos (1.25~git2012.06.27-2) unstable; urgency=low

  * Team upload

  [ intrigeri ]
  * Import upstream patch to fix Youtube videos (Closes: #690541). This
    was upstream patch 95be0e51df6b13dea87fe0d8b1083d98241e11c8.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ Damyan Ivanov ]
  * add patch disabling network tests when NO_NETWORK is present in the
    environment (Closes: #713378 -- FTBFS)
  * rules: export NO_NETWORK=1
  * declare conformance with Policy 3.9.5

 -- Damyan Ivanov <dmn@debian.org>  Wed, 29 Jan 2014 21:25:49 +0200

get-flash-videos (1.25~git2012.06.27-1) unstable; urgency=low

  [ Julián Moreno Patiño ]
  * New upstream git snapshot. (Closes: #678180 LP: #1006224)
  * Extend debian copyright years.
  * Add libhtml-tree-perl to Depends.

  [ gregor herrmann ]
  * Refresh patch use_libcrypt-blowfish-perl.diff (offset).

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Wed, 27 Jun 2012 23:14:44 -0500

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  libwww-perl,
  libxml-simple-perl,
  perl
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/get-flash-videos/
-Vcs-Git: git://git.debian.org/pkg-perl/packages/get-flash-videos.git
+Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/get-flash-videos.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/get-flash-videos.git
 
 Package: get-flash-videos
@@ -23,6 +23,7 @@
 Depends: libcrypt-blowfish-perl,
  libdata-amf-perl,
  libhtml-parser-perl,
+ libhtml-tree-perl,
  libtie-ixhash-perl,
  liburi-perl,
  libwww-mechanize-perl,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

SOURCE = get-flash-videos
VERSION = $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
GIT_URL = git://github.com/monsieurvideo/get-flash-videos.git
ORIGDIR = $(SOURCE)-$(VERSION)
TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz

export NO_NETWORK=1

get-orig-source:
	rm -rf $(ORIGDIR)
	git clone $(GIT_URL) $(ORIGDIR)
	rm -rf $(ORIGDIR)/.git*
	rm -rf $(ORIGDIR)/debian
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

%:
	dh $@

=== debian/watch ===
version=3
http://githubredir.debian.net/github/monsieurvideo/get-flash-videos/v([\d\.]+)\.tar\.gz

## get-flash-videos 1.25~git2014.03.23

=== debian/changelog ===
get-flash-videos (1.25~git2014.03.23-2) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * debian/watch: use github directly instead of the redirector.

  [ Niko Tyni ]
  * Make the autopkgtest checks run with NO_NETWORK=1.

 -- Niko Tyni <ntyni@debian.org>  Wed, 14 Oct 2015 09:55:09 +0300

get-flash-videos (1.25~git2014.03.23-1) unstable; urgency=medium

  * Imported Upstream version 1.25~git2014.03.23
  * Remove patches applied upstream
  * Refresh remaining patches
  * Add patch to update Google Video Search URL.
    Thanks to Dallas E. Legan (Closes: #742450)
  * Add myself to uploaders
  * Add {Build-}Depends on libmodule-find-perl

 -- Daniel Lintott <daniel@serverb.co.uk>  Sun, 23 Mar 2014 21:54:09 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>,
- TANIGUCHI Takaki <takaki@debian.org>
+ TANIGUCHI Takaki <takaki@debian.org>,
+ Daniel Lintott <daniel@serverb.co.uk>
 Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: libhttp-cookies-perl,
  libhttp-message-perl,
+ libmodule-find-perl,
  libtie-ixhash-perl,
  liburi-perl,
  libwww-mechanize-perl,
@@ -16,7 +18,8 @@
 Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/get-flash-videos/
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/get-flash-videos.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/get-flash-videos.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/get-flash-videos.git
+Testsuite: autopkgtest-pkg-perl
 
 Package: get-flash-videos
 Architecture: all
@@ -24,6 +27,7 @@
  libdata-amf-perl,
  libhtml-parser-perl,
  libhtml-tree-perl,
+ libmodule-find-perl,
  libtie-ixhash-perl,
  liburi-perl,
  libwww-mechanize-perl,

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 GIT_URL = git://github.com/monsieurvideo/get-flash-videos.git
 ORIGDIR = $(SOURCE)-$(VERSION)
 TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz
-
-export NO_NETWORK=1
 
 get-orig-source:
 	rm -rf $(ORIGDIR)
@@ -20,3 +18,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_test:
+	NO_NETWORK=1 dh_auto_test

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v(\d[\d\.]+)\.tar\.gz/get-flash-videos-$1.tar.gz/" \
  https://github.com/monsieurvideo/get-flash-videos/tags .+/v(\d[\d.]+)\.tar\.gz

## get-flash-videos 1.25.92

=== debian/changelog ===
get-flash-videos (1.25.92-2) unstable; urgency=medium

  * Team upload.
  * Add a (build) dependency on libterm-progressbar-perl.
    Used by a new module, and not declared in the upstream metadata (and not
    found by the test suite). (Closes: #868888)
  * Add explicit (build) dependency on libio-socket-ssl-perl.
    Required by upstream, was pulled in before by another package.
  * Use HTTPS for a bunch of URLs in debian/. Thanks to duck.
  * debian/rules: use DEB_VERSION_UPSTREAM from /usr/share/dpkg/pkg-
    info.mk.
  * Add debian/tests/pkg-perl/use-name to enable autopkgtest's use.t test.
  * Add debian/tests/pkg-perl/syntax-skip to enable more of autopkgtest's
    syntax.t. This would have caught #868888.

 -- gregor herrmann <gregoa@debian.org>  Thu, 20 Jul 2017 18:14:00 +0200

get-flash-videos (1.25.92-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * Simplify BTS URL.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove TANIGUCHI Takaki from Uploaders. Thanks for your work!

  [ TANIGUCHI Takaki ]
  * debian/control: Update Homepage URL.
  * New upstream version 1.25.92
  * debian/patches/UpdateGoogleVideoURL.patch: Removed (Upstream merged).
  * Bump Standards-Version to 4.0.0
  * debian/compat: Bump to 10

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 05 Jul 2017 11:34:53 +0900

=== debian/control ===
Source: get-flash-videos
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>,
           Daniel Lintott <daniel@serverb.co.uk>
Section: video
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: libhttp-cookies-perl,
                     libhttp-message-perl,
                     libio-socket-ssl-perl,
                     libmodule-find-perl,
                     libterm-progressbar-perl,
                     libtie-ixhash-perl,
                     liburi-perl,
                     libwww-mechanize-perl,
                     libwww-perl,
                     libxml-simple-perl,
                     perl
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/get-flash-videos.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/get-flash-videos.git
Homepage: https://github.com/monsieurvideo/get-flash-videos

Package: get-flash-videos
Architecture: all
Depends: libcrypt-blowfish-perl,
         libdata-amf-perl,
         libhtml-parser-perl,
         libhtml-tree-perl,
         libio-socket-ssl-perl,
         libmodule-find-perl,
         libterm-progressbar-perl,
         libtie-ixhash-perl,
         liburi-perl,
         libwww-mechanize-perl,
         libwww-perl,
         rtmpdump,
         ${misc:Depends},
         ${perl:Depends}
Recommends: get-iplayer,
            libcrypt-rijndael-perl,
            liblwp-protocol-socks-perl,
            libxml-simple-perl
Suggests: mplayer
Description: video downloader for various Flash-based video hosting sites
 get-flash-videos download videos from various Flash-based video hosting
 sites, without having to use the Flash player. Handy for saving videos for
 watching offline, and means you don't have to keep upgrading Flash for sites
 that insist on a newer version of the player.
 .
 Includes support for the following sites/players (and more!):
 .
 YouTube, eHow, Brightcove (used by many sites like Channel 4, Daily
 Telegraph ...), BBC (news, etc), Metacafe, 5min, Google, fliqz,
 nicovideo, vimeo, Blip, Break, Collegehumor, Muzu, Sevenload, Megavideo,
 Wat.tv.
 .
 Also includes a 'generic' method which works on many other sites.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/get-flash-videos-$1\.tar\.gz/ \
  https://github.com/monsieurvideo/get-flash-videos/tags .*/v?(\d\S+)\.tar\.gz

## get-flash-videos 1.25.94

=== debian/changelog ===
get-flash-videos (1.25.94-1) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * add deprecated-left-brace-in-regex.patch
  * New upstream version 1.25.94
  * put myself in Uploaders
  * add libterm-readkey-perl to (build) dependencies
  * declare conformance with Policy 4.1.1 (no changes needed)
  * add Count-https-video-URLs-in-the-results.patch from Niko Tyni.
    Fixes t/google_video_search.t (Closes: #801747)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 27 Nov 2017 12:38:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: get-flash-videos
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>,
-           Daniel Lintott <daniel@serverb.co.uk>
+Uploaders: Damyan Ivanov <dmn@debian.org>
 Section: video
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
@@ -11,13 +10,14 @@
                      libio-socket-ssl-perl,
                      libmodule-find-perl,
                      libterm-progressbar-perl,
+                     libterm-readkey-perl,
                      libtie-ixhash-perl,
                      liburi-perl,
                      libwww-mechanize-perl,
                      libwww-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/get-flash-videos.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/get-flash-videos.git
 Homepage: https://github.com/monsieurvideo/get-flash-videos
@@ -31,6 +31,7 @@
          libio-socket-ssl-perl,
          libmodule-find-perl,
          libterm-progressbar-perl,
+         libterm-readkey-perl,
          libtie-ixhash-perl,
          liburi-perl,
          libwww-mechanize-perl,

## get-flash-videos 1.25.95

=== debian/changelog ===
get-flash-videos (1.25.95-1) unstable; urgency=medium

  * New upstream version 1.25.95
  * drop two patches applied upstream
  * declare conformance with Policy 4.1.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 12 Jan 2018 20:24:54 +0000

## get-flash-videos 1.25.98

=== debian/changelog ===
get-flash-videos (1.25.98-1) unstable; urgency=medium

  * New upstream version 1.25.98

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Feb 2018 20:46:26 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      libwww-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/get-flash-videos.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/get-flash-videos.git
 Homepage: https://github.com/monsieurvideo/get-flash-videos

## get-flash-videos 1.25.99

=== debian/changelog ===
get-flash-videos (1.25.99-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Damyan Ivanov ]
  * New upstream version 1.25.99

 -- Damyan Ivanov <dmn@debian.org>  Fri, 09 Mar 2018 05:35:51 +0000

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                      libxml-simple-perl,
                      perl
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/get-flash-videos.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/get-flash-videos.git
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/get-flash-videos
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/get-flash-videos.git
 Homepage: https://github.com/monsieurvideo/get-flash-videos
 
 Package: get-flash-videos

## get-flash-videos 1.25.99.03

=== debian/changelog ===
get-flash-videos (1.25.99.03-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.25.99.03.

 -- gregor herrmann <gregoa@debian.org>  Fri, 27 Jul 2018 20:35:53 +0200

get-flash-videos (1.25.99-2) unstable; urgency=medium

  * Team upload.
  * Update debian/tests/pkg-perl. Remove dummy entry which is not needed
    anymore with autopkgtest-pkg-perl 0.45.
  * Fix name of document to be installed in debian/get-flash-videos.docs.
    Thanks to Santiago Vila for the bug report. (Closes: #903173)
  * Declare compliance with Debian Policy 4.1.5.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Jul 2018 15:19:36 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      libwww-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/get-flash-videos
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/get-flash-videos.git
 Homepage: https://github.com/monsieurvideo/get-flash-videos

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/pkg-info.mk
+
 SOURCE = get-flash-videos
-VERSION = $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
+VERSION = $(DEB_VERSION_UPSTREAM)
 GIT_URL = git://github.com/monsieurvideo/get-flash-videos.git
 ORIGDIR = $(SOURCE)-$(VERSION)
 TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz
